#ifndef XMODELLODINFO_H
#define XMODELLODINFO_H

#include "xasset.h"

#include <QVector>

class XModelLodInfo : public XAsset
{
public:
    XModelLodInfo();
    ~XModelLodInfo();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    float mDist;
    quint16 mNumSurfs;
    quint16 mSurfIndex;
    QVector<qint32> mPartBits;
};

#endif // XMODELLODINFO_H
